import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-13 11:55
 */
export interface Ad_position_style {
    /**
    * 广告位置表id
    * @type { number }
    */
    adPositionId?: number;
    /**
    * 广告样式表id
    * @type { number }
    */
    adStyleId?: number;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * 子表 Ad_position
    * @type { Ad_position[] }
    */
    ad_position?: Ad_position[];
    /**
    * 子表 Ad_style
    * @type { Ad_style[] }
    */
    ad_style?: Ad_style[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class Ad_position_styleMI {
    static get AD_POSITION_ID(): FieldInfo;
    static get AD_STYLE_ID(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-13 11:55
 */
export interface Ad_info {
    /**
    * 广告id
    * @type { number }
    */
    id?: number;
    /**
    * 广告名称
    * @type { string }
    */
    name?: string;
    /**
    * 广告描述
    * @type { string }
    */
    descripion?: string;
    /**
    * 跳转链接
    * @type { string }
    */
    url?: string;
    /**
    * 广告来源：1，后台；2，KOS
    * @type { boolean }
    */
    source?: boolean;
    /**
    * 状态：0，上架；1，人工下架；2，到期下架
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
    /**
    * 子表 Ad_info_material
    * @type { Ad_info_material[] }
    */
    ad_info_material?: Ad_info_material[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class Ad_infoMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get DESCRIPION(): FieldInfo;
    static get URL(): FieldInfo;
    static get SOURCE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-13 11:55
 */
export interface Ad_info_material {
    /**
    *
    * @type { number }
    */
    adInfoId?: number;
    /**
    *
    * @type { number }
    */
    adMaterialId?: number;
    /**
    * 是否删除：0，否；1，是
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * 子表 Ad_info
    * @type { Ad_info[] }
    */
    ad_info?: Ad_info[];
    /**
    * 子表 Ad_material
    * @type { Ad_material[] }
    */
    ad_material?: Ad_material[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class Ad_info_materialMI {
    static get AD_INFO_ID(): FieldInfo;
    static get AD_MATERIAL_ID(): FieldInfo;
    static get DEL_FLAG(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-13 11:55
 */
export interface Ad_meterial_detail {
    /**
    * 素材明细id
    * @type { number }
    */
    id?: number;
    /**
    * 素材id
    * @type { number }
    */
    adMaterialId?: number;
    /**
    * 素材类型：0，图片；1，主标题；2，副标题
    * @type { string }
    */
    type?: string;
    /**
    * 素材内容
    * @type { string }
    */
    value?: string;
    /**
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
}
export declare class Ad_meterial_detailMI {
    static get ID(): FieldInfo;
    static get AD_MATERIAL_ID(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get VALUE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-13 11:55
 */
export interface Ad_position {
    /**
    * 主键ID
    * @type { number }
    */
    id?: number;
    /**
    * 广告位名称
    * @type { string }
    */
    name?: string;
    /**
    * 广告位类型：0，banner
    * @type { any }
    */
    type?: any;
    /**
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建者
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 更新者
    * @type { string }
    */
    updator?: string;
    /**
    * 子表 Ad_position_style
    * @type { Ad_position_style[] }
    */
    ad_position_style?: Ad_position_style[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class Ad_positionMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-13 11:55
 */
export interface Ad_style {
    /**
    * 主键id
    * @type { number }
    */
    id?: number;
    /**
    * 广告位类型
    * @type { any }
    */
    adPostionType?: any;
    /**
    * 宽度（单位像素）
    * @type { number }
    */
    width?: number;
    /**
    * 高度（单位像素）
    * @type { number }
    */
    height?: number;
    /**
    * 类型：0，单图
    * @type { any }
    */
    type?: any;
    /**
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
    /**
    * 子表 Ad_position_style
    * @type { Ad_position_style[] }
    */
    ad_position_style?: Ad_position_style[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class Ad_styleMI {
    static get ID(): FieldInfo;
    static get AD_POSTION_TYPE(): FieldInfo;
    static get WIDTH(): FieldInfo;
    static get HEIGHT(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-13 11:55
 */
export interface Ad_material {
    /**
    * 素材id
    * @type { number }
    */
    id?: number;
    /**
    * 广告样式id
    * @type { number }
    */
    adStyleId?: number;
    /**
    * 素材名称
    * @type { string }
    */
    name?: string;
    /**
    * 状态：0，启用；1，删除
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { string }
    */
    creator?: string;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    updator?: string;
    /**
    * 子表 Ad_info_material
    * @type { Ad_info_material[] }
    */
    ad_info_material?: Ad_info_material[];
    /**
    * 子表 Ad_meterial_detail
    * @type { Ad_meterial_detail[] }
    */
    ad_meterial_detail?: Ad_meterial_detail[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class Ad_materialMI {
    static get ID(): FieldInfo;
    static get AD_STYLE_ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get CREATOR(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get UPDATOR(): FieldInfo;
}
